Subject: RE: Console escape char handling.
From: [email-masked] (Gary Clark)

28 Feb 1997 09:05:43 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="US-ASCII"
X-Authentication-Warning: fire.jeld-wen.com: mail set sender to <[email-masked]> using -f
Original-To: [email-masked] (Sheik)
Original-Cc: [email-masked] (gnu-win32)
X-Mailer: Microsoft Mail via PostalUnion/SMTP for Windows NT
Original-Sender: [email-masked]

It seems not.  I'm using a VT220 emulator (Reflections) and after filling   
the screen with characters and doing ^[5;15r followed by ^[2J, the whole   
screen is cleared.

What few notes I did find about the cs parameter also mentioned that it   
is impossible to predict where the cursor will be after setting the   
scroll region.

 ----------
From:  Sheik
Sent:  Thursday, February 27, 1997 10:22 PM
To:  Gary Clark
Cc:  gnu-win32
Subject:  RE: Console escape char handling.

On Wed, 26 Feb 1997, Gary Clark wrote:

>
> This is the termcap cs parameter.  It is used to set the scrolling area   

> of the screen.  The first parameter sets the top line and the second   
sets
> the bottom of the scroll region.  [1;24r will set scrolling for a full   
24
> line screen.

   Does this also affect things like clearing the screen? say I have a
[5;15r   and then clear screen.  would the full screen be erased, or just
that region from 5-15?   (I am adding "r" into the fhandler.cc file now,
and I just need to know what "r" affects, and if it just defines the
current scroll region.)

Thanks
Scott Kilau

Gary A. Clark  [email-masked]
#include <std/disclamer.h>  // Needed at work
"Buy 'em books, send 'em to school and all they do is eat the pages."
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".